React Library

The StaticKit React library works great with static site generators like Next.js and Gatsby and custom React applications. If you don't have React in your toolchain, check out our HTML library instead.

Source on GitHub | npm package

Installation

Run the following to install the package:

npm install @statickit/react

This library assumes that React is already installed in your environment. Our components are build with React Hooks, so you must be on version 16.8.0 or higher.